Bug 1840999 (CVE-2020-13362) - CVE-2020-13362 QEMU: megasas: OOB read access due to invalid index leads to DoS
Summary: CVE-2020-13362 QEMU: megasas: OOB read access due to invalid index leads to DoS
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-13362
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1841000 1910695
Blocks: 1772801
TreeView+ depends on / blocked
 
Reported: 2020-05-28 05:41 UTC by Prasad J Pandit
Modified: 2020-12-26 08:08 UTC (History)
30 users (show)

Fixed In Version: QEMU 5.0.1
Doc Type: If docs needed, set a value
Doc Text:
An out-of bounds read-access flaw was found in the MegaRAID SAS 8708EM2 emulator of the QEMU. This flaw occurs in the' megasas_lookup_frame' routine when the 's->reply_queue_head' is set to a malicious value. A guest user or process may use this flaw to crash the QEMU process on the host resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2020-05-28 11:20:30 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2020-05-28 05:41:32 UTC
An OOB read access issue was found in the MegaRAID SAS 8708EM2 emulator of the QEMU. It occurs in 'megasas_lookup_frame' routine when 's->reply_queue_head' is set to a malicious value. A guest user/process may use this flaw to crash the QEMU process on the host resulting in DoS scenario.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2020-05/msg03463.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2020/05/28/2

Comment 1 Prasad J Pandit 2020-05-28 05:41:39 UTC
Acknowledgments:

Name: Ren Ding (SSLab Georgia Tech), Hanqing Zhao (SSLab Georgia Tech), Alexander Bulekov

Comment 2 Prasad J Pandit 2020-05-28 05:42:09 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1841000]

Comment 4 Product Security DevOps Team 2020-05-28 11:20:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-13362


Note You need to log in before you can comment on or make changes to this bug.